Source: optuna
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-alembic,
               python3-all,
               python3-cliff,
               python3-cmaes (>= 0.8.2),
               python3-colorlog,
               python3-numpy,
               python3-scipy (>= 1.7.0), python3-scipy (<< 1.9.0),
               python3-setuptools,
               python3-sqlalchemy (>= 1.1.0),
               python3-tqdm,
               python3-yaml
Rules-Requires-Root: no
Homepage: https://optuna.org/
Vcs-Browser: https://salsa.debian.org/gspr/optuna
Vcs-Git: https://salsa.debian.org/gspr/optuna.git -b debian/sid

Package: python3-optuna
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-typing-extensions
Description: Hyperparameter optimization framework
 Optuna is a Python library for hyperparameter (or other "black box")
 optimization. Being framework-independent, it works with a variety of
 deep learning frameworks.
